/*exported expect */
/*global print */

/**
 * This function compares two variables
 * @param  {any} result A variable you want to check against an expetation
 * @return {function}        Returns a comparison function
 */
function expect(result) {
    return {
        print: function (expected) {
            print('Result: ' + result + ' Expected: ' + expected);
        },
        /**
         * This function checks to see if result and expected are equal
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result and expected are equal
         */
        toBe: function (expected) {
            return result === expected;
        },
        /**
         * This function checks to see if result and expected are not equal
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result and expected are not equal
         */
        not: function (expected) {
            return result != expected;
        },
        /**
         * This function checks to see if result is greater than expected
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result is greater than expected
         */
        greater: function (expected) {
            return result > expected;
        },
        /**
         * This function checks to see if result is less than expected
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result is less than expected
         */
        less: function (expected) {
            return result < expected;
        },
        /**
         * This function checks to see if result is greater or equal to expected
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result is greater or equal to expected
         */
        toBeGreater: function (expected) {
            return result >= expected;
        },
        /**
         * This function checks to see if result is less or equal to expected
         * @param  {any} expected The value you want to check result against
         * @return {bool}          Returns true if result is less or equal to expected
         */
        toBeLess: function (expected) {
            return result <= expected;
        }
    };
}