/*exported Plotter */
/*global File */

function Plotter(suitename) {
    var report = suitename;
    var outFile = new File(report + '.csv');
    var reportString = '';
    var resultsMap = {};
    
    this.addResult = function(columnName, result) {
        if (!resultsMap[columnName]) {
            resultsMap[columnName] = [];
        }
        resultsMap[columnName].push(result);
    };
    
    this.endSuite = function() {
        var keys = [];
        var avgs = [];
        for (var key in resultsMap) {
            keys.push(key);
            var sum = resultsMap[key].reduce( function(a,b) { return a + b; } );
            var avg = sum / resultsMap[key].length;
            avgs.push(avg);
        }
        var header = keys.join(',') + '\n';
        var data = avgs.join(',') + '\n';
        
        reportString += header;
        reportString += data;
        
        outFile.write(reportString);
    };
}
