/* globals EllyModel, InsertController */

 /**
* Adds an SVG item to the canvas
* @param {String}  fileName    [[Description]]
* @param {Number}  X           [[Description]]
* @param {Number}  Y           [[Description]]
* @param {Number}  rotation    [[Description]]
* @param {Boolean} selected    [[Description]]
* @param {Number}  width       [[Description]]
* @param {Number}  height      [[Description]]
* @param {Boolean} aspectRatio [[Description]]
* @param {Boolean} isSymbol    [[Description]]
* @param {String}  color       [[Description]]
*/
EllyModel.prototype.addSvgItem = function(fileName, X, Y, rotation, selected, width, height, aspectRatio, isSymbol, color) {
    var setWidth = 0;
    var setHeight = 0;
    var setIsSymbol = false;

    if (typeof fileName !== 'undefined') {
        if (fileName.constructor !== String) {
            throw new Error('File name must be a string');
        }
    } else {
        throw new Error('File name is a required argument');
    }
    if (typeof X !== 'undefined') {
        if (X.constructor !== Number) {
            throw new Error('X position must be a number');
        }
    } else {
        throw new Error('X position is a required argument');
    }
    if (typeof Y !== 'undefined') {
        if (Y.constructor !== Number) {
            throw new Error('Y position must be a number');
        }
    } else {
        throw new Error('Y position is a required argument');
    }
    if (typeof rotation !== 'undefined') {
        if (rotation.constructor !== Number) {
            throw new Error('Rotation must be a number');
        }
    } else {
        throw new Error('Rotation is a required argument');
    }
    if (typeof selected !== 'undefined') {
        if (selected.constructor !== Boolean) {
            throw new Error('Selection flag must be a boolean');
        }
    }
    if (typeof width !== 'undefined') {
        if (width.constructor !== Number) {
            throw new Error('Width must be a number');
        } else {
            setWidth = width;
        }
    }
    if (typeof height !== 'undefined') {
        if (height.constructor !== Number) {
            throw new Error('Height must be a number');
        } else {
            setHeight = height;
        }
    }
    if (typeof aspectRatio !== 'undefined') {
        if (aspectRatio.constructor !== Number) {
            throw new Error('Aspect ratio flag must be 0 or 1');
        }
    }
    if (typeof isSymbol !== 'undefined') {
        if (isSymbol.constructor !== Boolean) {
            throw new Error('isSymbol must be a boolean');
        } else {
            setIsSymbol = isSymbol;
        }
    }

    var setColor;

    if(typeof color === 'undefined') {
        setColor = '';
    } else if(color.constructor !== String) {
        throw new TypeError('color must be of the type "String"');
    } else {
        setColor = color;
    }

    // Need to create the necessary structs for the InsertController
    var GenericInsertOptions = {positionX: X, positionY: Y, rotationDegrees: rotation, initiallySelected: selected, itemW: setWidth, itemH: setHeight, aspectRatio: aspectRatio};
    
    
    InsertController.insertSvg(GenericInsertOptions, fileName);
    //GPCanvasModel.addSvgItem(isSymbol, fileName, X, Y, rotation, selected, setWidth, setHeight, aspectRatio, setColor);
};