/* globals EllyModel, GPCanvasModel */

/**
 * Returns the most recently added item's ID
 * @returns {Number} The most recently added item's ID
 */
EllyModel.prototype.getLastItemID = function () {
    var IDs = this.getCanvasZMap();
    var keys = Object.keys(IDs);
    var last = keys[keys.length - 1];
    return parseFloat(last);
};

/**
 * Returns the IDs of all selected items in the scene
 * @returns {Array} An array of item IDs
 */
EllyModel.prototype.getAllSelectedItemIDs = function () {
    return GPCanvasModel.getSelectedCanvasItemsId();
};

/**
 * Returns the IDs of all items in the scene
 * @param   {Boolean} getOnlySelectable true to return only selectable items
 * @returns {Array}   An array of item IDs
 */
EllyModel.prototype.getAllItemIDs = function (getOnlySelectable) {
    var getSelect = true;
    if (getOnlySelectable === false) {
        getSelect = false;
    }
    return GPCanvasModel.getAllCanvasItemsId(getSelect);
};