/* globals EllyModel, PrintController, GPCanvasModel */
    
/**
 * Print Label
 */
EllyModel.prototype.printLabel = function() {
    PrintController.printCanvas();
};



///// Print Configuration /////

/**
 * Set print orientation
 */
EllyModel.prototype.setOrientation = function(bool) {
    PrintController.setOrientation(bool);
};
/**
 * Get print orientation
 */
EllyModel.prototype.getOrientation = function() {
    return PrintController.orientation;
};

/**
 * Set if print is full color
 */
EllyModel.prototype.setFullColor = function(bool) {
    PrintController.setPrintFullColor(bool);    
};
/**
 * Get is print full color
 */
EllyModel.prototype.getFullColor = function() {
    return PrintController.printFullColor;
};

/**
 * Set dither method
 */
EllyModel.prototype.setDitherMethod = function(int) {
    PrintController.setPrintDitherMethod(int);
};

/**
 * Get dither method
 */
EllyModel.prototype.getDitherMethod = function() {
    return PrintController.getPrintDitherMethod;
};

/**
 * Set print quality
 * @param {int} 1,2 or 4
 */
EllyModel.prototype.setPrintQuality = function(quality) {
    PrintController.setPrintQuality = quality;
};

/**
 * Set printer resolution
 * @param {int} resolution printScale = r/72.
 */
EllyModel.prototype.setPrintResolution = function(resolution){
    PrintController.setPrinterResolution = resolution;
};

/**
 * Creat a print preview for the current canvas
 */
EllyModel.prototype.printPreview = function(){
    PrintController.createPrintPreview();
};

/**
 * Sets the colors being used for the canvas
 * @param {number} paletteColors const QList<QColor> &paletteColors
 */
EllyModel.prototype.canvasPalette = function(paletteColors){
    GPCanvasModel.setCanvasPalette(paletteColors);
};