/* globals EllyModel, PenController, FillColorController, RotationController, PenColorController, GPCanvasModel */

EllyModel.prototype.selectedItemsTextChangedSignalCount = 0;
EllyModel.prototype.selectedItemsAlignChangedSignalCount = 0;
EllyModel.prototype.selectedItemsTextColorChangedSignalCount = 0;

EllyModel.prototype.selectedItemsPositionChangedSignalCount = 0;
EllyModel.prototype.selectedItemsRotationChangedSignalCount = 0;
EllyModel.prototype.selectedItemsSizeChangedSignalCount = 0;

EllyModel.prototype.selectedItemsPenWidthChangedSignalCount = 0;
EllyModel.prototype.selectedItemsFillColorChangedSignalCount = 0;
EllyModel.prototype.signalPenColorChanged = 0;

var signalObject = {
    'signalPenColorChanged': 0,
    'selectedItemsFillColorChangedSignalCount': 0,
    'selectedItemsTextChangedSignalCount': 0,
    'selectedItemsAlignChangedSignalCount': 0,
    'selectedItemsTextColorChangedSignalCount': 0,
    'selectedItemsPositionChangedSignalCount': 0,
    'selectedItemsRotationChangedSignalCount': 0,
    'selectedItemsSizeChangedSignalCount': 0,
    'selectedItemsPenWidthChangedSignalCount': 0,
}; 

// Size
GPCanvasModel.selectedItemsSizeChanged.connect(function () {
    signalObject.selectedItemsSizeChangedSignalCount += 1;
});

EllyModel.prototype.sizeChangedSignal = function() {
    var tempCount = signalObject.selectedItemsSizeChangedSignalCount;
    signalObject.selectedItemsSizeChangedSignalCount = 0;
    return tempCount;
};

// Rotation
GPCanvasModel.stateChanged.connect(function (string) {
    if (string === "Rotation Changed") {
        signalObject.selectedItemsRotationChangedSignalCount += 1;
    }
    if (string === "Pen Color Changed") {
        signalObject.signalPenColorChanged += 1;
    }
    if (string === "Position X Changed" || string === "Position Y Changed") {
        signalObject.selectedItemsPositionChangedSignalCount += 1;
    }
    
});


EllyModel.prototype.rotationChangedSignal = function() {
    var tempCount = signalObject.selectedItemsRotationChangedSignalCount;
    signalObject.selectedItemsRotationChangedSignalCount = 0;
    return tempCount;
};

// Position
GPCanvasModel.selectedItemsPositionChanged.connect(function () {
    signalObject.selectedItemsPositionChangedSignalCount += 1;
});

EllyModel.prototype.XChangedSignal = function() {
    var tempCount = signalObject.selectedItemsPositionChangedSignalCount;
    signalObject.selectedItemsPositionChangedSignalCount = 0;
    return tempCount;
};

EllyModel.prototype.YChangedSignal = function() {
    var tempCount = signalObject.selectedItemsPositionChangedSignalCount;
    signalObject.selectedItemsPositionChangedSignalCount = 0;
    return tempCount;
};

// Pen
PenController.penWidthChanged.connect(function () {
    signalObject.selectedItemsPenWidthChangedSignalCount += 1;
});

EllyModel.prototype.penWidthChangedSignal = function() {
    var tempCount = signalObject.selectedItemsPenWidthChangedSignalCount;
    signalObject.selectedItemsPenWidthChangedSignalCount = 0;
    return tempCount;
};

// Fill
FillColorController.fillColorChanged.connect(function () {
    signalObject.selectedItemsFillColorChangedSignalCount += 1;
});
// Pen Color
EllyModel.prototype.fillColorChangedSignal = function() {
    var tempCount = signalObject.selectedItemsFillColorChangedSignalCount;
    signalObject.selectedItemsFillColorChangedSignalCount = 0;
    return tempCount;
};

PenColorController.penColorChanged.connect(function () { /*signalObject.signalPenColorChanged += 1;*/ }); 

EllyModel.prototype.penColorChangedSignal = function() {
    var tempCount = signalObject.signalPenColorChanged;
    signalObject.signalPenColorChanged = 0;
    return tempCount;
}; 
