/* globals EllyModel, getDictKeyFromValue, FontController, TextEditController, TextColorController, TextAlignController */

/*TextEditController.textChanged.connect(this, function () {
    this.selectedItemsTextChangedSignalCount += 1;
});
TextColorController.textColorChanged.connect(this, function() {
    this.selectedItemsTextColorChangedSignalCount += 1;
});

var textChangedSignal = function() {
    var tempSignalCount = this.selectedItemsTextChangedSignalCount;
    this.selectedItemsTextChangedSignalCount = 0;
    return tempSignalCount;
};

var alignChangedSignal = function() {
    var tempSignalCount = this.selectedItemsAlignChangedSignalCount;
    this.selectedItemsAlignChangedSignalCount = 0;
    return tempSignalCount;
};

var textColorChangedSignal = function () {
    var tempSignalCount = this.selectedItemsTextColorChangedSignalCount;
    this.selectedItemsTextColorChangedSignalCount = 0;
    return tempSignalCount;
};*/

// SETTERS //

/**
 * Sets the contents of a text item
 * @param {String} textContents The string to set the text's contents to
 */
// OBSOLETE
EllyModel.prototype.setSelectedItemTextContents = function (textContents) {
    if (textContents.constructor !== String) {
        throw new Error('Text contents must be a string');
    }
    this.selectedItemsTextChangedSignalCount = 0;
    this.selectedItemsSizeChangedSignalCount = 0;
    TextEditController.setText(textContents);
    return {'textChanged':textChangedSignal(), 'sizeChanged':this.sizeChangedSignal()};
};

/**
 * Sets the font family of a text item
 * @param {String} fontFamily The font family name
 */
EllyModel.prototype.setSelectedItemTextFontFamily = function (fontFamily) {
    if (fontFamily.constructor !== String) {
        throw new Error('Font family must be a string');
    }
    this.selectedItemsSizeChangedSignalCount = 0;
    FontController.fontFamily = fontFamily;
    return this.sizeChangedSignal();
};

/**
 * Sets the font size of the selected text item(s)
 * @param {Number} fontSize The line angle to set
 */
EllyModel.prototype.setSelectedItemTextFontSize = function (fontSize) {
    FontController.fontSize = fontSize;
};

/**
 * Changes the font size of the selected text item(s)
 * @param {Number} fontSizeDelta The amount to change the line angle by
 */
EllyModel.prototype.changeSelectedItemTextFontSize = function (fontSizeDelta) {
    FontController.fontSizeChanged(fontSizeDelta);
};

/**
 * Sets the bold state of a text item
 * @param {Boolean} doBold Whether the text item is bold or not
 */
EllyModel.prototype.setSelectedItemTextBold = function (doBold) {
    FontController.setFontBold(doBold);
};

/**
 * Sets the italic state of a text item
 * @param {Boolean} doItalic Whether the text item is italic or not
 */
EllyModel.prototype.setSelectedItemTextItalic = function (doItalic) {
    FontController.setFontItalic(doItalic);
};

/**
 * Sets the underline state of a text item
 * @param {Boolean} doUnderline Whether the text item is underlined or not
 */
EllyModel.prototype.setSelectedItemTextUnderline = function (doUnderline) {
    FontController.setFontUnderline(doUnderline);
};

/**
 * Sets the alignment of a text item to left, center or right
 * @param {String} alignment 'left', 'center' or 'right'
 */
EllyModel.prototype.setSelectedItemTextAlignment = function (alignment) {
    var alignmentEnum = this.lstAlignmentEnum[alignment];
    if (typeof alignmentEnum === 'undefined') {
        throw new Error('Alignment type "' + alignment + '" not found');
    }
    this.selectedItemsAlignChangedSignalCount = 0;
    TextAlignController.alignment = alignmentEnum;
    return alignChangedSignal();
};

/**
 * Sets the item's text direction to vertical or horizontal
 * @param   {Boolean} direction True for vertical, false for horizontal
 * @returns {Number}  The number of appropriate signals that were sent
 */
EllyModel.prototype.setSelectedItemTextDirection = function(direction) {
    TextLabelController.verticalText = direction;
};

EllyModel.prototype.setSelectedItemTextColor = function(color/*, noWarn*/) {
    this.selectedItemsTextColorChangedSignalCount = 0;
    TextColorController.textColor = color;
    return textColorChangedSignal();
};

EllyModel.prototype.setSelectedItemTextPinnedToCenter = function(doPin) {
    //selectedItemsTextPinningChangedSignalCount = 0;
	//FontController.setFontItalic(true);
    //TextLabelController.setPinCenter(doPin);

    //return textPinningChangedSignal();
};

/**
 * start edit of selected text item
 * @param {Number} cursorPosition position of cursor in text
 */
EllyModel.prototype.startEditSelectedTextItem = function(cursorPosition) {
    TextEditController.startEdit(cursorPosition);
};

/**
 * start edit of selected text item
 * @param {Number} selectionStart text will be selected beween these values
 * @param {Number} selectionEnd   text will be selected beween these values
 */
EllyModel.prototype.startEditSelectedTextItemSelection = function(selectionStart, selectionEnd) {
    TextEditController.startEditSelection(selectionStart, selectionEnd);
};

/**
 * end edit of selected text item
 */
EllyModel.prototype.endEditSelectedTextItem = function() {
    TextEditController.endEdit();
};

// GETTERS //

/**
 * Returns the contents of a text item
 * @returns {String} The contents of the text item
 */
EllyModel.prototype.getSelectedItemTextContents = function () {
    return TextEditController.text;
};

/**
 * Returns the font family of a text item
 * @returns {String} The font family name
 */
EllyModel.prototype.getSelectedItemTextFontFamily = function () {
    return FontController.fontFamily;
};

/**
 * Returns the font size of the selected text item(s)
 * @returns {Number} The line angle
 */
EllyModel.prototype.getSelectedItemTextFontSize = function () {
    return this.stringToRetNum(FontController.fontSize);
};

/**
 * Returns the bold state of a text item
 * @returns {Boolean} Whether the text is bold or not
 */
EllyModel.prototype.getSelectedItemTextBold = function () {
    return FontController.fontBold;
};

/**
 * Returns the italic state of a text item
 * @returns {Boolean} Whether the text item is italic or not
 */
EllyModel.prototype.getSelectedItemTextItalic = function () {
    return FontController.fontItalic;
};

/**
 * Returns the underline state of a text item
 * @returns {Boolean} Whether the text item is underlined or not
 */
EllyModel.prototype.getSelectedItemTextUnderline = function () {
    return FontController.fontUnderline;
};

/**
 * Returns the text alignment of a text item
 * @returns {String} The alignment of the text
 */
EllyModel.prototype.getSelectedItemTextAlignment = function () {
    var alignmentEnum = Number(TextAlignController.alignment);
//    if (alignmentEnum === 4)
//        alignmentEnum = 0x0084;
    return getDictKeyFromValue(this.lstAlignmentEnum, alignmentEnum);
};

/**
 * Returns a text item's direction
 * @returns {Boolean} False for horizontal, true for vertical
 */
EllyModel.prototype.getSelectedItemTextDirection = function() {
    return TextLabelController.verticalText;
};

EllyModel.prototype.getSelectedItemTextColor = function() {
    var currentHex = TextColorController.textColor;
    if (currentHex === '') {
        return '<none>';
    } else {
        return currentHex;
    }
};

EllyModel.prototype.getSelectedItemTextPinnedToCenter = function() {
    return TextLabelController.pinCenter;
};
