/* globals EllyModel, UnitConversions */
    
/**
 * Set canvas Units
 * @param Inches = 0, Millimeters = 1, Points = 2, Local = 3
 */
EllyModel.prototype.setUnits = function(units) {
    UnitConversions.setCanvasUnits(units);
};

/**
 * Get canvas Units
 * @returns {number} [Inches = 0, Millimeters = 1, Points = 2, Local = 3]
 */
EllyModel.prototype.getUnits = function() {
    return UnitConversions.getCanvasUnits();
};

/**
 * Convert current canvas units to local units
 * @param   {number} value number to be converted
 * @returns {number} converted number  
 */
EllyModel.prototype.convertToLocal = function(value) {
    return UnitConversions.convertUserUnitsToLocalUnits(value);
};

/**
 * Converts local units to current canvas units
 * @param   {number} value number to be converted
 * @returns {number} converted number   
 */
EllyModel.prototype.convertToUser = function(value) {
    return UnitConversions.convertLocalUnitsToUserUnits(value);
};

/**
 * Converts other units to user units
 * @param   {number} units Inches = 0, Millimeters = 1, Points = 2, Local = 3
 * @returns {number} converted number
 */
EllyModel.prototype.convertOtherToUser = function(units) {
    return UnitConversions.convertOtherUnitsToUserUnits(units);
};
