/* globals EllyModel, require, InsertController, isVybrid, SupplyProperties */

// Include necessary files
require('../../model.js');
require('../../framework.js');
/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();
var canvasSize = Elly.getCanvasSize();
var Width = canvasSize.width;
var Height = canvasSize.height;

// Header
var header = "NOTICE";

// Colors to be used in label
var color1 = Elly.lstColorHex.black;
var color2 = Elly.lstColorHex.r_dark_blue;
var color3 = Elly.lstColorHex.white;
var color4 = Elly.lstColorHex.black;

// Paths
var fileName = "";                    // Location of symbol used in header

// Symbol
var glassesSymbol = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<!-- Generator: Adobe Illustrator 14.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 43363)  -->\n<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n<svg fill=\"#000000\" stroke=\"#000000\" version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\"\n	 width=\"285.532px\" height=\"324px\" viewBox=\"0 0 285.532 324\" enable-background=\"new 0 0 285.532 324\" xml:space=\"preserve\">\n<rect id=\"background_fix\" fill=\"#ffffff\" stroke=\"none\" fill-opacity=\"0\" x=\"0\" y=\"0\" width=\"285.532\" height=\"324\" />\n<g>\n	<path d=\"M229.532,256c0-30,56-34.75,56-129.25c0-77.75-51.5-126.75-126-126.75c-32.5,0-66.25,5.5-77,9.75c-5.75,2-25.5,8-38.5,6.75\n		c5.25,3.75,6,3.75,13.5,4.25c-11,5.5-20.25,7.5-33.5,6.5c3.5,5,15.5,5.25,22.25,5.75c-8.25,9.25-20,14.25-35.5,16.25\n		c14.75,4.75,31.5,1.5,38.75-0.5c1.5-0.5,2.75-0.75,4-1.25c-1.25,1.75-2.75,3.5-4,5.25c-4,6-7.5,13-10.5,20.5\n		c-13.5,6-19.75,18.75-29,44.5l0,0c-9.25,26.5-14.5,41-5,54.5c0.5,0.5,1,1.25,1.5,1.75c-2,5-3.5,10-4,15.5\n		c-0.75,8.25,1.25,12.5,9.25,15c10.5,3.5,19-5,22.25,7.25c5.25,19.25,5.25,38.5,16.5,55.5c10,15.5,65.5,8.5,65.5,8.5\n		c12.5,48.25,12.5,48.25,12.5,48.25c128.25,0,128.25,0,128.25,0S229.532,302.5,229.532,256L229.532,256z M226.282,185.75\n		c-2-5.5,4-8,6-12.5c2.5-5.25,4.25-10.75,4.25-16.5c0-23-13-40.25-40-40.25c-13.25,0-55,5.75-55.25,5.75\n		c-8.25,53-12.25,51.25-77.75,51.25c-29,0-42.25,0-48.25-8.5c-5.75-8-2-19,6.5-43.25c14.25-39.75,16.75-41.5,64.25-41\n		c1.25,0,1.25,0,1.25,0c52.5,0.5,59.5,0.5,57.75,17.75c0,0,25,3.5,51.5,5.5c34.75,3,51,23,51,51.25c0,9.5-2.75,19-8,27.25\n		C236.782,187,229.532,195,226.282,185.75L226.282,185.75z M112.532,94.75c-4.75-1.25-26.75-1.5-26.75-1.5\n		c-20.5-0.25-31.75-0.25-37.5,3.25c-5.5,3.5-8.5,12.25-14.75,29.5c-5.5,15.5-10.25,29-8.25,32c2.5,3.25,19,3.25,38.25,3.25\n		c42.75-0.25,45.5-1,50.75-29.75C117.032,115,123.532,98,112.532,94.75L112.532,94.75z M73.032,146.75c-9.75,0-22-3.25-22-12.75\n		s12.25-17.25,22-17.25c9.5,0,21.75,7.75,21.75,17.25S82.532,146.75,73.032,146.75L73.032,146.75z\"/>\n</g>\n</svg>"

// Icon options 
var GenericInsertOptions = {positionX: 0.07*Width, positionY: 0.40*Height, rotationDegrees: 0, initiallySelected: true, itemW: 0.35*Width, itemH: 0.40*Height, aspectRatio: false};
var SymbolInsertOptions = {contents: glassesSymbol, color: color4, bgcolor: color3, opacity: false, reverse: false};

/****************************************/
/*             Supply Setup             */
/****************************************/  

//SupplyProperties.setCurentSupply(supply);
//SupplyProperties.changeLoadedSupplyTypeForTesting(supply);
//SupplyProperties.setCurentSupply('');
//SupplyProperties.changeLoadedSupplyTypeForTesting('');    
//SupplyProperties.changeLoadedRibbonsForTesting(ribbons);
Elly.setCanvasSize(Width,Height);  

/****************************************/
/*              Function                */
/****************************************/

function noticeWithOneGraphicTwoTextsRight() {
    
	Elly.clearScene();
    
/*  addShape variables:     shape, x, y, rotation, selected, width, height, aspectRatio, 
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, brushStyle, 
                            drawCircle, cornerRadiusX, cornerRadiusY, startAngle, spanAngle
*/  
    // Header rectangle
    Elly.addShape('Rectangle', 0, 0, 0, false, Width, Height/4, false, color1, color2);    // Add rectangle for header
    Elly.deselectAll();
    
    // Add symbol
    
    InsertController.insertSymbol(SymbolInsertOptions, GenericInsertOptions, fileName);
    
    
/*  addTextItem variables:  data, x, y, rotation, selected, width, height, aspectRatio, color, 
                            size, font, bold, italic, underline, align, vertical, pinnedToCenter,
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, fillStyle, emptyText    
*/  
    // Header text
	Elly.addTextItem(header, 0, -0.0625*Height, 0, true, Width*(0.805), Height*(0.3675), false, color3, 72, '', 1, 1); 
    Elly.alignToCanvasHorizontalCenter();
    
    // Centered text items
    Elly.addTextItem("ENTER TEXT", 0, 0.35*Height, 0, true, Width*(1/2), Height/4, false, color1, 30, '', 0, 0, 0, "AlignHCenter"); 
    Elly.alignToCanvasRight();
    TextLabelController.setPinCenter(true);
    
    Elly.addTextItem("ENTER TEXT", 0, 0.60*Height, 0, true, Width*(1/2), Height/4, false, color1, 30, '', 0, 0 , 0, "AlignHCenter");
    Elly.alignToCanvasRight();
    TextLabelController.setPinCenter(true);
    
    Elly.selectAll();
	Elly.lockSelectedItems();
	Elly.deselectAll();   
}

noticeWithOneGraphicTwoTextsRight();
