/* globals EllyModel, require, InsertController, isVybrid, SupplyProperties */

// Include necessary files
require('../../model.js');
require('../../framework.js');
/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();
var canvasSize = Elly.getCanvasSize();
var Width = canvasSize.width;
var Height = canvasSize.height;                                      // Gets the Height of the canvas

// Colors to be used in label
var color1 = Elly.lstColorHex.black;
var color2 = Elly.lstColorHex.r_dark_blue;
var color3 = Elly.lstColorHex.white;
var color4 = Elly.lstColorHex.black;

/****************************************/
/*              Function                */
/****************************************/

function noticeWithOneText() {
    
	Elly.clearScene();
    
/*  addShape variables:     shape, x, y, rotation, selected, width, height, aspectRatio, 
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, brushStyle, 
                            drawCircle, cornerRadiusX, cornerRadiusY, startAngle, spanAngle
*/  
    // Header rectangle
    Elly.addShape('Rectangle', 0, 0, 0, false, Width, Height/4, false, color1, color2);    // Add rectangle for header
    Elly.deselectAll();
    
    
/*  addTextItem variables:  data, x, y, rotation, selected, width, height, aspectRatio, color, 
                            size, font, bold, italic, underline, align, vertical, pinnedToCenter,
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, fillStyle, emptyText    
*/  
    // Header text
	Elly.addTextItem("NOTICE", 0, -0.0625*Height, 0, true, Width*(0.805), Height*(0.3675), false, color3, 72, '', 1, 1); 
    Elly.alignToCanvasHorizontalCenter();       // align text horizontally centered to the canvas
    Elly.deselectAll();
    
    // Centered text item
    Elly.addTextItem("ENTER TEXT", 0, Height/4, 0, true, Width, Height*(3/4), false, color1, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    TextLabelController.setPinCenter(true);
    Elly.selectAll();
	Elly.lockSelectedItems();
	Elly.deselectAll();
    
}

noticeWithOneText();
