/* globals EllyModel, require, InsertController, isVybrid, SupplyProperties */

// Include necessary files
require('../../model.js');
require('../../framework.js');
/****************************************/
/*              Variables               */
/****************************************/
var Elly = new EllyModel();
var canvasSize = Elly.getCanvasSize();
var Width = canvasSize.width;
var Height = canvasSize.height;                                      // Gets the Height of the canvas

// Colors to be used in label
var color1 = Elly.lstColorHex.black;
var color2 = Elly.lstColorHex.r_orange;
var color3 = Elly.lstColorHex.white;

var headerSymbolBlack = "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<!-- Generator: Adobe Illustrator 14.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 43363)  -->\n<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n<svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\"\n   width=\"97.875px\" height=\"85.736px\" viewBox=\"0 0 97.875 85.736\" enable-background=\"new 0 0 97.875 85.736\" xml:space=\"preserve\">\n<g>\n<path fill=\"#000000\" d=\"M97.313,79.486c-44.75-77.5-44.75-77.5-44.75-77.5c-0.75-1.25-2-2-3.5-2s-3,0.75-3.5,2 c-45,77.5-45,77.5-45,77.5c-0.75,1.25-0.75,3,0,4.25s2.25,2,3.75,2c89.5,0,89.5,0,89.5,0c1.5,0,2.75-0.75,3.5-2 S98.063,80.736,97.313,79.486L97.313,79.486z M49.063,19.486c4.75,0,7,3,7,9.25c0,3.75-0.75,9.5-2,17s-2.25,11.75-2.75,13 s-1.25,1.75-2.25,1.75s-2-0.5-2.25-1.5c-0.5-1-1.5-5-2.75-12c-1.5-7.25-2-13.25-2-18.25C42.063,22.486,44.313,19.486,49.063,19.486 L49.063,19.486z M49.063,78.486c-4.25,0-7.5-3.25-7.5-7.25s3.25-7.25,7.5-7.25c4,0,7.25,3.25,7.25,7.25 S53.063,78.486,49.063,78.486L49.063,78.486z\"/>\n</g>\n</svg>\n";

/****************************************/
/*              Function                */
/****************************************/

function warningWithOneText() {
    
	Elly.clearScene();
    
/*  addShape variables:     shape, x, y, rotation, selected, width, height, aspectRatio, 
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, brushStyle, 
                            drawCircle, cornerRadiusX, cornerRadiusY, startAngle, spanAngle
*/  
    // Header rectangle
    Elly.addShape('Rectangle', 0, 0, 0, false, Width, Height/4, false, color1, color2);    // Add rectangle for header
    Elly.deselectAll();
    
	Elly.addSymbol('', 0.0275*Width, 0.0275*Height, 0, false, 0.195*Height, 0.195*Height, false, headerSymbolBlack, color1, color1, false, false);
    
/*  addTextItem variables:  data, x, y, rotation, selected, width, height, aspectRatio, color, 
                            size, font, bold, italic, underline, align, vertical, pinnedToCenter,
                            penColor, fillColor, penWidth, penStyle, penCapStyle, penJoinStyle, fillStyle, emptyText    
*/  
    // Header text
	Elly.addTextItem("WARNING", 0.225*Height, -0.0625*Height, 0, true, (Width- (Height*0.195))*(0.955), Height*(0.365), false, color1, 0, '', 1); 
    
    // Centered text item
    Elly.addTextItem("ENTER TEXT", 0, Height/4, 0, true, Width, Height*(3/4), false, color1, 0, "_Air Toro", 0, 0, 0, "AlignHCenter");
    
    TextLabelController.setPinCenter(true);
    Elly.selectAll();
	Elly.lockSelectedItems();
	Elly.deselectAll();  
}

warningWithOneText();
